=== added directory 'bzrlib/doc'
=== added file 'bzrlib/doc/__init__.py'
--- bzrlib/doc/__init__.py	1970-01-01 00:00:00 +0000
+++ bzrlib/doc/__init__.py	2005-12-24 02:20:45 +0000
@@ -0,0 +1,26 @@
+# (C) 2005 Canonical Development Ltd
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
+"""Documentation for bzrlib.
+
+See bzrlib.doc.api for api documentation and in the future bzrlib.doc.man
+for man page generation.
+"""
+
+    
+def test_suite():
+    import bzrlib.doc.api
+    return bzrlib.doc.api.test_suite()

=== added directory 'bzrlib/doc/api'
=== added file 'bzrlib/doc/api/__init__.py'
--- bzrlib/doc/api/__init__.py	1970-01-01 00:00:00 +0000
+++ bzrlib/doc/api/__init__.py	2005-12-24 02:20:45 +0000
@@ -0,0 +1,34 @@
+# (C) 2005 Canonical Development Ltd
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
+"""API Documentation for bzrlib.
+
+This documentation is made up of doctest testable examples.
+
+Look for bzrlib/doc/api/*.txt to read it.
+
+This documentation documents the current best practice in using the library.
+For details on specific apis, see pydoc on the api, or read the source.
+"""
+
+import doctest
+import os
+    
+def test_suite():
+    candidates = os.listdir(os.path.dirname(__file__))
+    scripts = [candidate for candidate in candidates 
+               if candidate.endswith('.txt')]
+    return doctest.DocFileSuite(*scripts)

=== added file 'bzrlib/doc/api/transport.txt'
--- bzrlib/doc/api/transport.txt	1970-01-01 00:00:00 +0000
+++ bzrlib/doc/api/transport.txt	2006-01-12 03:30:53 +0000
@@ -0,0 +1,18 @@
+The Transport API in bzrlib provides URL based access to network resources.
+
+   >>> import os
+   >>> import bzrlib.transport as transport
+   >>> root = transport.get_transport("file:///")
+   >>>
+
+Each Transport instance represents a single logical directory.
+
+   >>> dir = transport.get_transport(".")
+   >>> dir.base == os.getcwdu() + '/'
+   True
+
+You can change directories via the clone method:
+
+   >>> parent = dir.clone('..')
+   >>> parent.base == os.path.dirname(os.getcwdu()) + '/'
+   True

=== modified file 'bzrlib/tests/__init__.py'
--- bzrlib/tests/__init__.py	2006-01-25 04:23:16 +0000
+++ bzrlib/tests/__init__.py	2006-01-29 09:52:52 +0000
@@ -64,8 +64,15 @@
                       bzrlib.store
                       ]
 def packages_to_test():
+    """Return a list of packages to test.
+
+    The packages are not globally imported so that import failures are
+    triggered when running selftest, not when importing the command.
+    """
+    import bzrlib.doc
     import bzrlib.tests.blackbox
     return [
+            bzrlib.doc,
             bzrlib.tests.blackbox
             ]
 

=== modified file 'setup.py'
--- setup.py	2005-12-05 00:22:26 +0000
+++ setup.py	2005-12-24 02:20:45 +0000
@@ -88,6 +88,8 @@
       description='Friendly distributed version control system',
       license='GNU GPL v2',
       packages=['bzrlib',
+                'bzrlib.doc',
+                'bzrlib.doc.api',
                 'bzrlib.export',
                 'bzrlib.plugins',
                 'bzrlib.store',
@@ -103,4 +105,5 @@
       scripts=['bzr'],
       cmdclass={'install_scripts': my_install_scripts, 'build': bzr_build},
       data_files=[('man/man1', ['bzr.1'])],
+    #   todo: install the txt files from bzrlib.doc.api.
      )

